<div class="input__search--pn--group">
  <div class="select__form-staff" *ngIf="showEmpTypeSelect">
    <mb-select [mbDataSelects]="empTypeCodeList"
               mbPlaceholder="--{{'staffManager.label.all' | translate}}--"
               mbKeyLabel="label"
               mbKeyValue="value"
               [mbDisable]="mbDisable"
               [(ngModel)]="empTypeCode"></mb-select>
  </div>
  <div class="input__employee-code">
    <mb-data-picker #dataPicker
                    [mbDisableButtonSearch]="true"
                    [mbPlaceholder]="'common.employee.search' | translate "
                    [mbCanText]="mbCanText"
                    [mbLabelText]="mbLabelText"
                    [mbDisable]="mbDisable"
                    (inputChange)="onInputChange($event)"
                    (afterCloseModal)="resetDataSearch()"
                    (oldInputValue)="oldInputSearch = $event"
                    [mbType]="mbType"
                    [mbShowError]="mbShowError"
                    [mbAutocomplete]="autocomplete"
                    [mbErrors]="mbErrors"
                    [mbErrorDefs]="mbErrorDefs"
                    [mbData]="data"
                    [mbLabelCustom]="selected ? (selected.fullName ? (selected.fullName + ' - ') : '') + (selected.empCode ? selected.empCode : '') : ''"
                    [(selected)]="selected" (selectedChange)="change($event)"></mb-data-picker>
  </div>
</div>


<nz-autocomplete #autocomplete nzOverlayClassName="autocomplete__panel">
  <nz-list nzItemLayout="horizontal" [nzLoading]="loading" nzSize="small">
    <nz-auto-option class="autocomplete__item" *ngFor="let item of data; index as i"
                    [nzLabel]="item.fullName + (item.employeeCode ? ('-' + item.employeeCode) :'')"
                    (selectionChange)='keyUpEnterSelectItem($event, item)'
                    (click)='selectItem(item)'
    >
      <nz-list-item>
        <nz-list-item-meta
          [nzAvatar]="avatar"
          nzTitle="{{ item.fullName }}{{item.employeeCode ? (' - ' + item.employeeCode) :'' }}">
          <ng-template #avatar>
            <nz-avatar nzIcon="user" *ngIf="!listAvatar[i]"></nz-avatar>
            <nz-avatar [nzSrc]="listAvatar[i]" *ngIf="listAvatar[i]"></nz-avatar>
          </ng-template>
          <nz-list-item-meta-description>
            <small style="white-space: pre-wrap"><strong>{{ item.positionName }}</strong></small>
          </nz-list-item-meta-description>
        </nz-list-item-meta>
      </nz-list-item>
    </nz-auto-option>
    <nz-list-empty *ngIf="data.length === 0"></nz-list-empty>
  </nz-list>
</nz-autocomplete>


